fieldset {
  background-color: transparent;
  border: 0;
  margin: 0;
  padding: 0;
}

legend {
  font-weight: 600;
  margin-bottom: $small-spacing / 2;
  padding: 0;
}

label {
  display: block;
  font-weight: 400;
  margin-bottom: $small-spacing / 2;
  color: #444;
  font-size: .875rem;
  &:after {
    content: ":";
  }
}

input,
select,
textarea {
  display: block;
  font-family: $base-font-family;
  font-size: $base-font-size;
  font-weight: 400;
  color: #111;
}

#{$all-text-inputs} {
  appearance: none;
  background-color: $base-background-color;
  border: $base-border;
  border-radius: $base-border-radius;
  box-shadow: $form-box-shadow;
  box-sizing: border-box;
  margin-bottom: $small-spacing;
  padding: $base-spacing / 3;
  transition: border-color $base-duration $base-timing;
  width: 100%;

  &:hover {
    border-color: shade($base-border-color, 20%);
  }

  &:focus {
    border-color: $action-color;
    box-shadow: $form-box-shadow-focus;
    outline: none;
  }

  &:disabled {
    background-color: shade($base-background-color, 5%);
    cursor: not-allowed;

    &:hover {
      border: $base-border;
    }
  }

  &::placeholder {
    color: tint($base-font-color, 40%);
  }
}

textarea {
  resize: vertical;
}

[type="checkbox"],
[type="radio"] {
  display: inline;
  margin-right: $small-spacing / 2;
}

[type="file"] {
  margin-bottom: $small-spacing;
  width: 100%;
}

select {
  margin-bottom: $small-spacing;
  width: 100%;
}

input[type="text"] {
    border-bottom: 1px solid #777;
    box-shadow: none;
    border-right: none;
    border-top: none;
    border-left: none;
    border-radius: 0;
}

 textarea {
   border: 1px solid #777;
   box-shadow: none;

 }

 textarea:focus,  textarea:active{
   border-color: #1565c0;
   box-shadow: 0 0 5px -5px rgba(18, 89, 169, 0.7);
   outline: none;
 }

input[type="text"]:focus, input[type="text"]:active, input[type="search"]:focus, input[type="search"]:active{
  border-color: #1565c0;
  box-shadow: 0 0 5px -5px rgba(18, 89, 169, 0.7);
  outline: none;
}

input[type="submit"] {
}

input[type="select"] {
}

input[type="search"] {
  background: #fff;
  border-bottom: 1px solid #999;
  box-shadow: none;
  border-right: none;
  border-top: none;
  border-left: none;
  border-radius: 0;
}
